sampler texture0 : register(s0);

float4x4 WorldViewProjectionTransform  : WORLDVIEWPROJ;
float2 fTextureSize;

struct VS_OUTPUT 
{
   float4 Position  : POSITION;
   float2 TexCoord  : TEXCOORD0;    
};

struct PS_OUTPUT
{
    float4 RGBColor : COLOR0;  // Pixel color    
};

VS_OUTPUT vertexMain(
				float4 vPosition : POSITION,
				float2 texCoord0 : TEXCOORD0)
{
	VS_OUTPUT Output; 

	Output.Position = mul(vPosition, WorldViewProjectionTransform);
	Output.TexCoord = texCoord0;   

	return Output;
}

PS_OUTPUT pixelMain(VS_OUTPUT In)
{
   PS_OUTPUT result;
   float2 incoord = In.TexCoord + 1.f / fTextureSize / 2.f; 
   float4 color = tex2D(texture0, incoord);
   
   result.RGBColor.a = color.a;
   result.RGBColor.r = 1.f-color.r;
   result.RGBColor.g = 1.f-color.g;
   result.RGBColor.b = 1.f-color.b;  
   return result;
}